AbstractTransactionManagementConfiguration (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.transaction.annotation

## Class AbstractTransactionManagementConfiguration

- java.lang.Object
- - org.springframework.transaction.annotation.AbstractTransactionManagementConfiguration

- All Implemented Interfaces:
    Aware, ImportAware
  Direct Known Subclasses:
    AspectJTransactionManagementConfiguration, ProxyTransactionManagementConfiguration

      @Configuration
      public abstract class AbstractTransactionManagementConfiguration
      extends Object
      implements ImportAware

  Abstract base `@Configuration` class providing common structure for enabling Spring's annotation-driven transaction management capability.
  Since:
    3.1
  Author:
    Chris Beams
  See Also:
    `EnableTransactionManagement`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AnnotationAttributes` | `enableTx`
    `protected PlatformTransactionManager` | `txManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTransactionManagementConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setImportMetadata(AnnotationMetadata importMetadata)` Set the annotation metadata of the importing @`Configuration` class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### enableTx

          protected AnnotationAttributes enableTx

    - #### txManager

          protected PlatformTransactionManager txManager

  - ### Constructor Detail

    - #### AbstractTransactionManagementConfiguration

          public AbstractTransactionManagementConfiguration()

  - ### Method Detail

    - #### setImportMetadata

          public void setImportMetadata(AnnotationMetadata importMetadata)

      Description copied from interface: `ImportAware`
      Set the annotation metadata of the importing @`Configuration` class.
      Specified by:
        `setImportMetadata` in interface `ImportAware`